Bug 647493 - Cannot "yum groupremove" a product without being subscribed to it first
Summary: Cannot "yum groupremove" a product without being subscribed to it first
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-10-28 14:59 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
subscription-manager-0.92.6-1
Last Closed: 2010-12-23 14:51:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jeff Weiss 2010-10-28 14:59:33 UTC
Description of problem:
It makes sense that we block users from installing groups they haven't subscribed to, but it doesn't make sense that they can't become compliant by removing the groups they don't have subscriptions for.

This is most obvious when you select a repo in anaconda, such as "Load Balancer" and then after the install, RHSM complains that you aren't compliant.  At that point you cannot just remove "Load Balancer" with yum, you have to subscribe first. 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Subscribe to Load Balancer
2. yum groupinstall "Load Balancer"
3. unsubscribe from "Load Balancer"
4. yum groupremove "Load Balancer"
  
Actual results:
"No group named Load Balancer exists"

Expected results:
group Load Balancer is removed.

Additional info:

Comment 1 Bryan Kearney 2010-11-18 13:43:53 UTC
This is not something we can fix in RHSM. We would need to enhance Anaconda and yum to drop down all the metadata. Can we close this and we can open up some RFE's against yum and anaconda if you feel strongly about this.

Comment 2 Jeff Weiss 2010-12-23 14:42:31 UTC
I am not quite convinced that this can't be fixed in RHSM.  For instance, you could change the design so that repo metadata is cached (currently it isn't).  Or have some repo that only gives group definitions, that is always installed.  Something like that.

At any rate, I'd understand if the disruption of trying to fix this is more trouble than the fix is worth.  But in that case, let's close this as WONTFIX.

Comment 3 Bryan Kearney 2010-12-23 14:51:11 UTC
OK.. will do that.

Comment 4 James Antill 2011-01-04 23:15:05 UTC
Note that I recently did a beta release of "groups as objects":

http://lists.baseurl.org/pipermail/yum-devel/2010-December/007740.html

...which can be ready and turned on for 6.1.
 It's a significant change, but it's "only" 6.1, and it should solve this problem (and is, I think, more what people want than what we currently do).


Note You need to log in before you can comment on or make changes to this bug.